OGRE: Overlay

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Overlay
Optional Components

Layers which is rendered on top of the 'normal' scene contents. More...

## Classes
class | Ogre::BorderPanelOverlayElement
| A specialisation of the PanelOverlayElement to provide a panel with a border. More...
class | Ogre::BorderRenderable
| Class for rendering the border of a BorderPanelOverlayElement. More...
class | Ogre::Font
| Class representing a font in the system. More...
class | Ogre::FontManager
| Manages Font resources, parsing .fontdef files and generally organising them. More...
struct | Ogre::GlyphInfo
| Information about the position and size of a glyph in a texture. More...
class | Ogre::Overlay
| Represents a layer which is rendered on top of the 'normal' scene contents. More...
class | Ogre::OverlayContainer
| A 2D element which contains other OverlayElement instances. More...
class | Ogre::OverlayElement
| Abstract definition of a 2D element to be displayed in an Overlay. More...
class | Ogre::OverlayElementFactory
| Defines the interface which all components wishing to supply OverlayElement subclasses must implement. More...
class | Ogre::OverlayManager
| Manages Overlay objects, parsing them from .overlay files and storing a lookup library of them. More...
class | Ogre::OverlayProfileSessionListener
| Concrete impl. More...
class | Ogre::OverlaySystem
| This class simplify initialization / finalization of the overlay system. More...
class | Ogre::PanelOverlayElement
| OverlayElement representing a flat, single-material (or transparent) panel which can contain other elements. More...
class | Ogre::TextAreaOverlayElement
| This class implements an overlay element which contains simple unformatted text. More...

## Typedefs
typedef String | Ogre::DisplayString
typedef SharedPtr< Font > | Ogre::FontPtr

## Enumerations
enum | Ogre::OverlayProfileSessionListener::DisplayMode { Ogre::OverlayProfileSessionListener::DISPLAY_PERCENTAGE , Ogre::OverlayProfileSessionListener::DISPLAY_MILLISECONDS }
enum | Ogre::FontType { Ogre::FT_TRUETYPE = 1 , Ogre::FT_IMAGE = 2 }
| Enumerates the types of Font usable in the engine. More...
enum | Ogre::GuiHorizontalAlignment { Ogre::GHA_LEFT , Ogre::GHA_CENTER , Ogre::GHA_RIGHT }
| Enum describing where '0' is in relation to the parent in the horizontal dimension. More...
enum | Ogre::GuiMetricsMode { Ogre::GMM_RELATIVE , Ogre::GMM_PIXELS , Ogre::GMM_RELATIVE_ASPECT_ADJUSTED }
| Enum describing how the position / size of an element is to be recorded. More...
enum | Ogre::GuiVerticalAlignment { Ogre::GVA_TOP , Ogre::GVA_CENTER , Ogre::GVA_BOTTOM }
| Enum describing where '0' is in relation to the parent in the vertical dimension. More...

## Functions
| Ogre::OverlayProfileSessionListener::OverlayProfileSessionListener ()
| Ogre::OverlaySystem::OverlaySystem ()
virtual | Ogre::OverlayProfileSessionListener::~OverlayProfileSessionListener ()
virtual | Ogre::OverlaySystem::~OverlaySystem ()
void | Ogre::OverlayProfileSessionListener::changeEnableState (bool enabled) override
void | Ogre::OverlayProfileSessionListener::displayResults (const ProfileInstance &instance, ulong maxTotalFrameTime) override
void | Ogre::OverlaySystem::eventOccurred (const String &eventName, const NameValuePairList *parameters) override
| A rendersystem-specific event occurred.
void | Ogre::OverlayProfileSessionListener::finializeSession () override
DisplayMode | Ogre::OverlayProfileSessionListener::getDisplayMode () const
| Get the display mode for the overlay.
Real | Ogre::OverlayProfileSessionListener::getOverlayHeight () const
Real | Ogre::OverlayProfileSessionListener::getOverlayLeft () const
Real | Ogre::OverlayProfileSessionListener::getOverlayTop () const
Real | Ogre::OverlayProfileSessionListener::getOverlayWidth () const
static OverlaySystem & | Ogre::OverlaySystem::getSingleton ()
static OverlaySystem * | Ogre::OverlaySystem::getSingletonPtr ()
void | Ogre::OverlayProfileSessionListener::initializeSession () override
void | Ogre::OverlaySystem::preRenderQueues () override
| Event raised before all render queues are processed.
void | Ogre::OverlayProfileSessionListener::setDisplayMode (DisplayMode d)
| Set the display mode for the overlay.
void | Ogre::OverlayProfileSessionListener::setOverlayDimensions (Real width, Real height)
| Set the size of the profiler overlay, in pixels.
void | Ogre::OverlayProfileSessionListener::setOverlayPosition (Real left, Real top)
| Set the position of the profiler overlay, in pixels.
_OgreOverlayExport std::vector< uint32 > | Ogre::utftoc32 (String str)
| decode UTF8 encoded bytestream to uint32 codepoints

## Detailed Description

Layers which is rendered on top of the 'normal' scene contents.

## Typedef Documentation

## ◆ FontPtr

typedef SharedPtr<Font> Ogre::FontPtr

## ◆ DisplayString

typedef String Ogre::DisplayString

## Enumeration Type Documentation

## ◆ FontType

enum Ogre::FontType

Enumerates the types of Font usable in the engine.

Enumerator
FT_TRUETYPE | Generated from a truetype (.ttf) font.
FT_IMAGE | Loaded from an image created by an artist.

## ◆ GuiMetricsMode

enum Ogre::GuiMetricsMode

Enum describing how the position / size of an element is to be recorded.

Enumerator
GMM_RELATIVE | 'left', 'top', 'height' and 'width' are parametrics from 0.0 to 1.0
GMM_PIXELS | Positions & sizes are in absolute pixels.
GMM_RELATIVE_ASPECT_ADJUSTED | Positions & sizes are in virtual pixels.

## ◆ GuiHorizontalAlignment

enum Ogre::GuiHorizontalAlignment

Enum describing where '0' is in relation to the parent in the horizontal dimension.

Remarks
  Affects how 'left' is interpreted.

Enumerator
GHA_LEFT |
GHA_CENTER |
GHA_RIGHT |

## ◆ GuiVerticalAlignment

enum Ogre::GuiVerticalAlignment

Enum describing where '0' is in relation to the parent in the vertical dimension.

Remarks
  Affects how 'top' is interpreted.

Enumerator
GVA_TOP |
GVA_CENTER |
GVA_BOTTOM |

## ◆ DisplayMode

enum Ogre::OverlayProfileSessionListener::DisplayMode

Enumerator
DISPLAY_PERCENTAGE | Display % frame usage on the overlay.
DISPLAY_MILLISECONDS | Display milliseconds on the overlay.

## Function Documentation

## ◆ utftoc32()

_OgreOverlayExport std::vector< uint32 > Ogre::utftoc32 | ( | String | str | ) |

decode UTF8 encoded bytestream to uint32 codepoints

## ◆ OverlayProfileSessionListener()

Ogre::OverlayProfileSessionListener::OverlayProfileSessionListener | ( |  | ) |

## ◆ ~OverlayProfileSessionListener()

virtual Ogre::OverlayProfileSessionListener::~OverlayProfileSessionListener | ( |  | ) |
| virtual

## ◆ initializeSession()

void Ogre::OverlayProfileSessionListener::initializeSession | ( |  | ) |
| overridevirtual

See also
  ProfileSessionListener::initializeSession

Implements Ogre::ProfileSessionListener.

## ◆ finializeSession()

void Ogre::OverlayProfileSessionListener::finializeSession | ( |  | ) |
| overridevirtual

See also
  ProfileSessionListener::finializeSession

Implements Ogre::ProfileSessionListener.

## ◆ displayResults()

void Ogre::OverlayProfileSessionListener::displayResults | ( | const ProfileInstance & | instance,
|  | ulong | maxTotalFrameTime )
| overridevirtual

See also
  ProfileSessionListener::displayResults

Reimplemented from Ogre::ProfileSessionListener.

## ◆ changeEnableState()

void Ogre::OverlayProfileSessionListener::changeEnableState | ( | bool | enabled | ) |
| overridevirtual

See also
  ProfileSessionListener::changeEnableState

Reimplemented from Ogre::ProfileSessionListener.

## ◆ setOverlayDimensions()

void Ogre::OverlayProfileSessionListener::setOverlayDimensions | ( | Real | width,
|  | Real | height )

Set the size of the profiler overlay, in pixels.

## ◆ setOverlayPosition()

void Ogre::OverlayProfileSessionListener::setOverlayPosition | ( | Real | left,
|  | Real | top )

Set the position of the profiler overlay, in pixels.

## ◆ getOverlayWidth()

Real Ogre::OverlayProfileSessionListener::getOverlayWidth | ( |  | ) | const

## ◆ getOverlayHeight()

Real Ogre::OverlayProfileSessionListener::getOverlayHeight | ( |  | ) | const

## ◆ getOverlayLeft()

Real Ogre::OverlayProfileSessionListener::getOverlayLeft | ( |  | ) | const

## ◆ getOverlayTop()

Real Ogre::OverlayProfileSessionListener::getOverlayTop | ( |  | ) | const

## ◆ setDisplayMode()

void Ogre::OverlayProfileSessionListener::setDisplayMode | ( | DisplayMode | d | ) |
| inline

Set the display mode for the overlay.

## ◆ getDisplayMode()

DisplayMode Ogre::OverlayProfileSessionListener::getDisplayMode | ( |  | ) | const
| inline

Get the display mode for the overlay.

## ◆ OverlaySystem()

Ogre::OverlaySystem::OverlaySystem | ( |  | ) |

Referenced by getSingleton(), and getSingletonPtr().

## ◆ ~OverlaySystem()

virtual Ogre::OverlaySystem::~OverlaySystem | ( |  | ) |
| virtual

## ◆ preRenderQueues()

void Ogre::OverlaySystem::preRenderQueues | ( |  | ) |
| overridevirtual

Event raised before all render queues are processed.

Reimplemented from Ogre::RenderQueueListener.

## ◆ eventOccurred()

void Ogre::OverlaySystem::eventOccurred | ( | const String & | eventName,
|  | const NameValuePairList * | parameters )
| overridevirtual

A rendersystem-specific event occurred.

Parameters

  eventName | The name of the event which has occurred
  parameters | A list of parameters that may belong to this event, may be null if there are no parameters

Implements Ogre::RenderSystem::Listener.

## ◆ getSingleton()

OverlaySystem & Ogre::OverlaySystem::getSingleton | ( |  | ) |
| static

References OverlaySystem().

## ◆ getSingletonPtr()

OverlaySystem * Ogre::OverlaySystem::getSingletonPtr | ( |  | ) |
| static

References OverlaySystem().